{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
	{% endblock begin_javascript_fix %}

	{% block begin_javascript %}
	{{ parent() }}
	{{ modulename }}Obj.prototype = {
		init : function(){
			var t = this;
			{{ modulename }}Obj.superclass.init.call(t);

			const gridConfig = {
				cm: [
					{header: "{{ 'RejectType.listorder'|trans }}", dataIndex: 'listorder', width: 60,alias:'rt'},
					{header: "{{ 'RejectType.code'|trans }}", dataIndex: 'code', width: 200,filter:'between',alias:'rt'},
					{header: "{{ 'RejectType.extcode'|trans }}", dataIndex: 'extcode', width: 200,filter:'between',alias:'rt'},
					{header: "{{ 'RejectType.islisted'|trans }}", dataIndex: 'islisted', width: 130,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'rt'},
					{header: "{{ 'RejectType.isoeeaffect'|trans }}", dataIndex: 'isoeeaffect', width: 130,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'rt'},
					{header: "{{ 'RejectType.isproductionaffect'|trans }}", dataIndex: 'isproductionaffect', width: 130,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'rt'}
				]
			};

			t._setGridConfig(gridConfig);

			const formConfig= {
				items: [
					new mj.form.field({
						dataIndex: 'id',
						hidden: true
					}),
					new mj.form.field({
						dataIndex: 'version',
						hidden: true
					}),
					new mj.form.numberField({
						title : "{{ 'RejectType.listorder'|trans }}",
						dataIndex : 'listorder',
						labelWidth : '150px',
						width : 50
					}),
					new mj.form.textField({
						title: "{{ 'RejectType.code'|trans }}",
						dataIndex: 'code',
						maxLength: 50,
						labelWidth : '150px',
						width:200,
						grid: 's4 m2'
					}),
					new mj.form.textField({
						title: "{{ 'RejectType.extcode'|trans }}",
						dataIndex: 'extcode',
						maxLength: 50,
						labelWidth : '150px',
						width:200,
						grid: 's4 m2'
					}),
					new mj.form.textField({
						title: "{{ 'RejectType.description'|trans }}",
						dataIndex: 'description',
						maxLength: 255,
						labelWidth : '150px',
						width:200,
						grid: 's12 m6'
					}),
					new mj.form.checkBox({
						title: "{{ 'RejectType.islisted'|trans }}",
						dataIndex: 'islisted',
						itemStyle: 'padding:0 35px 0 0;float:left;',
						labelWidth : '150px',
						grid: 'none'
					}),
					new mj.form.checkBox({
						title: "{{ 'RejectType.isoeeaffect'|trans }}",
						dataIndex: 'isoeeaffect',
						itemStyle: 'padding:0 35px 0 0;float:left;',
						labelWidth : '150px',
						grid: 'none'
					}),
					new mj.form.checkBox({
						title: "{{ 'RejectType.isproductionaffect'|trans }}",
						dataIndex: 'isproductionaffect',
						itemStyle: 'padding:0 35px 0 0;float:left;',
						labelWidth : '180px',
						grid: 'none'
					}),
					new mj.form.dateField({
						title: "{{ 'RejectType.start'|trans }}",
						dataIndex: 'start',
						labelWidth : '150px',
						notEmpty: true,
						grid: 's4 m2'
					}),
					new mj.form.dateField({
						title: "{{ 'RejectType.finish'|trans }}",
						dataIndex: 'finish',
						labelWidth : '150px',
						grid: 's4 m2'
					})
				]
			};
			t._setFormConfig(formConfig);

		}
	};
	{% endblock begin_javascript %}


	{% block begin_default_module %}
	{{ parent() }}
	{% endblock begin_default_module %}



	{% block end_default_module %}
	{{ parent() }}
	{% endblock end_default_module %}


	{% block end_javascript %}
	{{ parent() }}
	{% endblock end_javascript %}


	{% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
	{{ parent() }}
{% endblock body %}
